package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaCrawlerMappingDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaCrawlerMapping;
import com.loafle.overflow.service.central.meta.MetaCrawlerMappingService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaCrawlerMappingService")
public class CentralMetaCrawlerMappingService implements MetaCrawlerMappingService {

  @Autowired
  private MetaCrawlerMappingDAO metaCrawlerMappingDAO;

  @Override
  public List<MetaCrawlerMapping> readAll() throws OverflowException {
    return this.metaCrawlerMappingDAO.findAll();
  }

  @Override
  public List<MetaCrawlerMapping> readAllByMetaTargetTypeID(Integer targetTypeID) throws OverflowException {
    return this.metaCrawlerMappingDAO.findAllByMetaTargetTypeId(targetTypeID);
  }

  @Override
  public List<MetaCrawlerMapping> readAllByMetaTargetTypeKey(String targetTypeKey) throws OverflowException {
    return this.metaCrawlerMappingDAO.findAllByMetaTargetTypeKey(targetTypeKey);
  }

  @Override
  public MetaCrawlerMapping regist(MetaCrawlerMapping metaCrawlerMapping) throws OverflowException {
    return this.metaCrawlerMappingDAO.save(metaCrawlerMapping);
  }
}
